Package com.sun.jna.platform.mac

## Class IOKit.IOConnect

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.mac.IOKit.IOObject
    - - com.sun.jna.platform.mac.IOKit.IORegistryEntry
      - - com.sun.jna.platform.mac.IOKit.IOService
        - - com.sun.jna.platform.mac.IOKit.IOConnect

- All Implemented Interfaces:
    `NativeMapped`
  Enclosing interface:
    IOKit

      public static class IOKit.IOConnect
      extends IOKit.IOService

  For an application to communicate with a device, the first thing it must do is create a connection between itself and the in-kernel object representing the device. To do this, it creates a user client object.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IOConnect()` |
    `IOConnect​(Pointer p)` |

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.platform.mac.IOKit.IORegistryEntry

      `createCFProperties, createCFProperty, getBooleanProperty, getByteArrayProperty, getChildEntry, getChildIterator, getDoubleProperty, getIntegerProperty, getLongProperty, getName, getParentEntry, getRegistryEntryID, getStringProperty, searchCFProperty`

    - ### Methods inherited from class com.sun.jna.platform.mac.IOKit.IOObject

      `conformsTo, release`

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IOConnect

          public IOConnect()

    - #### IOConnect

          public IOConnect​(Pointer p)